# TestingSleepReconnectionPolicy class

A reconnection policy for tests that waits a constant number of seconds before attempting a reconnection.

Inheritance
  - Object
  - ReconnectionPolicy
  - TestingSleepReconnectionPolicy
Annotations
  - @visibleForTesting

## Constructors

TestingSleepReconnectionPolicy (int _sleepAmount)

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
performReconnect ↔ PerformReconnectFunction?
  Function provided by XmppConnection that allows the policy to perform a reconnection.
  getter/setter pairinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

canTriggerFailure () → Future <bool>
  inherited
canTryReconnecting () → Future <bool>
  inherited
getIsReconnecting () → Future <bool>
  inherited
getShouldReconnect () → Future <bool>
  inherited
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onFailure () → Future <void>
  Called by the XmppConnection when the reconnection failed.
  override
onSuccess () → Future <void>
  Caled by the XmppConnection when the reconnection was successful.
  override
register (PerformReconnectFunction performReconnect) → void
  Called by XmppConnection to register the policy.
  inherited
reset () → Future <void>
  In case the policy depends on some internal state, this state must be reset to an initial state when reset is called. In case timers run, they must be terminated.
  override
setShouldReconnect (bool value) → Future <void>
  Set whether a reconnection attempt should be made.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited